OpenCV: CvVideoCamera Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Instance Methods | Protected Attributes | Properties | List of all members
CvVideoCamera Class Reference
Video I/O » iOS glue for video I/O

`#import "cap_ios.h"`

Inheritance diagram for CvVideoCamera:

## Instance Methods
(void) | - adjustLayoutToInterfaceOrientation:
(void) | - layoutPreviewLayer
(void) | - saveVideo
(NSString *) | - videoFileString
(NSURL *) | - videoFileURL
Instance Methods inherited from CvAbstractCamera
(void) | - createCaptureOutput
(void) | - createVideoPreviewLayer
(id) | - initWithParentView:
(void) | - lockBalance
(void) | - lockExposure
(void) | - lockFocus
(void) | - start
(void) | - stop
(void) | - switchCameras
(void) | - unlockBalance
(void) | - unlockExposure
(void) | - unlockFocus
(void) | - updateOrientation

## Protected Attributes
CALayer * | customPreviewLayer
CMTime | lastSampleTime
AVCaptureVideoDataOutput * | videoDataOutput
dispatch_queue_t | videoDataOutputQueue
Protected Attributes inherited from CvAbstractCamera
BOOL | cameraAvailable
UIDeviceOrientation | currentDeviceOrientation

## Properties
id< CvVideoCameraDelegate > | delegate
BOOL | grayscaleMode
AVAssetWriter * | recordAssetWriter
AVAssetWriterInput * | recordAssetWriterInput
AVAssetWriterInputPixelBufferAdaptor * | recordPixelBufferAdaptor
BOOL | recordVideo
BOOL | rotateVideo
Properties inherited from CvAbstractCamera
AVCaptureSession * | captureSession
BOOL | captureSessionLoaded
AVCaptureVideoPreviewLayer * | captureVideoPreviewLayer
AVCaptureDevicePosition | defaultAVCaptureDevicePosition
NSString *const | defaultAVCaptureSessionPreset
AVCaptureVideoOrientation | defaultAVCaptureVideoOrientation
int | defaultFPS
int | imageHeight
int | imageWidth
UIView * | parentView
BOOL | running
BOOL | useAVCaptureVideoPreviewLayer
AVCaptureConnection * | videoCaptureConnection

## Method Documentation

## ◆ adjustLayoutToInterfaceOrientation:()

- (void) adjustLayoutToInterfaceOrientation: |  | (UIInterfaceOrientation) | interfaceOrientation |

## ◆ layoutPreviewLayer()

- (void) layoutPreviewLayer |  |  |

## ◆ saveVideo()

- (void) saveVideo |  |  |

## ◆ videoFileString()

- (NSString *) videoFileString |  |  |

## ◆ videoFileURL()

- (NSURL *) videoFileURL |  |  |

## Member Data Documentation

## ◆ customPreviewLayer

- (CALayer*) customPreviewLayer
| protected

## ◆ lastSampleTime

- (CMTime) lastSampleTime
| protected

## ◆ videoDataOutput

- (AVCaptureVideoDataOutput*) videoDataOutput
| protected

## ◆ videoDataOutputQueue

- (dispatch_queue_t) videoDataOutputQueue
| protected

## Property Documentation

## ◆ delegate

- (id<CvVideoCameraDelegate>) delegate
| readwritenonatomicweak

## ◆ grayscaleMode

- (BOOL) grayscaleMode
| readwritenonatomicassign

## ◆ recordAssetWriter

- (AVAssetWriter*) recordAssetWriter
| readwritenonatomicstrong

## ◆ recordAssetWriterInput

- (AVAssetWriterInput*) recordAssetWriterInput
| readwritenonatomicstrong

## ◆ recordPixelBufferAdaptor

- (AVAssetWriterInputPixelBufferAdaptor*) recordPixelBufferAdaptor
| readwritenonatomicstrong

## ◆ recordVideo

- (BOOL) recordVideo
| readwritenonatomicassign

## ◆ rotateVideo

- (BOOL) rotateVideo
| readwritenonatomicassign

The documentation for this class was generated from the following file:

- videoio/include/opencv2/videoio/cap_ios.h